﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using SET = MonkzShaman.Core.Utilities.ShamanSettings;
using HKM = MonkzShaman.Core.Managers.Hotkey_Manager;

namespace MonkzShaman.Core.Utilities
{
    public partial class GUI : Form
    {
        public GUI()
        {
            InitializeComponent();
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Hotkey_Ascendance_Key = AscendanceKey.Text;

        }

        private void AscendanceModifier_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Hotkey_Ascendance_Modifier = AscendanceModifier.Text;

        }

        private void TotemsKey_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Hotkey_Totems_Key = TotemsKey.Text;

        }

        private void Ascandence_Modifier_SelectedIndexChanged(object sender, EventArgs e)
        {
          SET.Instance.Hotkey_Totems_Modifier=  TotemsModifier.Text;
        }

        private void ascendanceEnabled_CheckedChanged(object sender, EventArgs e)
        {
            SET.Instance.UseAscendance = ascendanceEnabled.Checked;
        }

        private void totemsEnabled_CheckedChanged(object sender, EventArgs e)
        {
            SET.Instance.UseTotems = totemsEnabled.Checked;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            SET.Instance.Save();
            HKM.removeHotkeys();
            HKM.registerHotKeys();
            Close();
        }

        private void GUI_Load_1(object sender, EventArgs e)
        {
            totemsEnabled.Checked = SET.Instance.UseTotems;
            ascendanceEnabled.Checked = SET.Instance.UseAscendance;
            aoeEnabled.Checked = SET.Instance.UseAoe;
            chainOn2Enabled.Checked = SET.Instance.Chain_For_Two;
            talentCdsEnabled.Checked = SET.Instance.UseTalentCds;

            TotemsKey.Text = SET.Instance.Hotkey_Totems_Key;
            TotemsModifier.Text = SET.Instance.Hotkey_Totems_Modifier;


            AscendanceKey.Text = SET.Instance.Hotkey_Ascendance_Key;
            AscendanceModifier.Text = SET.Instance.Hotkey_Ascendance_Modifier;

            AoeKey.Text = SET.Instance.Hotkey_Aoe_Key;
            AoeModifier.Text = SET.Instance.Hotkey_Aoe_Modifier;

            chainKey.Text = SET.Instance.Chain_For_Two_Key;
            chainModifier.Text = SET.Instance.Chain_For_Two_Modifier;

            talentKey.Text = SET.Instance.UseTalentCds_Key;
            talentModifier.Text = SET.Instance.UseTalentCds_Modifier;

            TotemsModifier.Items.Add("Alt");
            AscendanceModifier.Items.Add("Alt");
            AoeModifier.Items.Add("Alt");
            chainModifier.Items.Add("Alt");
            talentModifier.Items.Add("Alt");

            AoeKey.Items.Add("Q");
            AoeKey.Items.Add("E");
            AoeKey.Items.Add("R");
            AoeKey.Items.Add("Z");
            AoeKey.Items.Add("Y");
            AoeKey.Items.Add("X");
            AoeKey.Items.Add("C");
            AoeKey.Items.Add("V");
            AoeKey.Items.Add("F");

            TotemsKey.Items.Add("Q");
            TotemsKey.Items.Add("E");
            TotemsKey.Items.Add("R");
            TotemsKey.Items.Add("Z");
            TotemsKey.Items.Add("Y");
            TotemsKey.Items.Add("X");
            TotemsKey.Items.Add("C");
            TotemsKey.Items.Add("V");
            TotemsKey.Items.Add("F");

            AscendanceKey.Items.Add("Q");
            AscendanceKey.Items.Add("E");
            AscendanceKey.Items.Add("R");
            AscendanceKey.Items.Add("Z");
            AscendanceKey.Items.Add("Y");
            AscendanceKey.Items.Add("X");
            AscendanceKey.Items.Add("C");
            AscendanceKey.Items.Add("V");
            AscendanceKey.Items.Add("F");

            chainKey.Items.Add("Q");
            chainKey.Items.Add("E");
            chainKey.Items.Add("R");
            chainKey.Items.Add("Z");
            chainKey.Items.Add("Y");
            chainKey.Items.Add("X");
            chainKey.Items.Add("C");
            chainKey.Items.Add("V");
            chainKey.Items.Add("F");

            talentKey.Items.Add("Q");
            talentKey.Items.Add("E");
            talentKey.Items.Add("R");
            talentKey.Items.Add("Z");
            talentKey.Items.Add("Y");
            talentKey.Items.Add("X");
            talentKey.Items.Add("C");
            talentKey.Items.Add("V");
            talentKey.Items.Add("F");

        }

        private void aoeEnabled_CheckedChanged(object sender, EventArgs e)
        {
            SET.Instance.UseAoe = aoeEnabled.Checked;

        }

        private void AoeKey_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Hotkey_Aoe_Key = AoeKey.Text;

        }

        private void AoeModifier_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Hotkey_Aoe_Modifier = AoeModifier.Text;

        }

        private void chainOn2Enabled_CheckedChanged(object sender, EventArgs e)
        {
            SET.Instance.Chain_For_Two = chainOn2Enabled.Checked;
        }

        private void talentCdsEnabled_CheckedChanged(object sender, EventArgs e)
        {
            SET.Instance.UseTalentCds = talentCdsEnabled.Checked;
        }

        private void chainKey_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Chain_For_Two_Key = chainKey.Text;
        }

        private void chainModifier_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.Chain_For_Two_Modifier = chainModifier.Text;
        }

        private void talentKey_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.UseTalentCds_Key = talentKey.Text;
        }

        private void talentModifier_SelectedIndexChanged(object sender, EventArgs e)
        {
            SET.Instance.UseTalentCds_Modifier = talentModifier.Text;
        }



    }
}
