﻿using Styx;
using Styx.Common;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Windows.Media;
using TM = MonkzShaman.Core.Managers.Talent_Manager;
using SB = MonkzShaman.Core.Helpers.Spell_Book;
using L = MonkzShaman.Core.Utilities.Log;
using SET = MonkzShaman.Core.Utilities.ShamanSettings;
using U = MonkzShaman.Core.Unit;
using System.Diagnostics;

namespace MonkzShaman.Core.Managers
{
    class Hotkey_Manager
    {
        private static LocalPlayer Me { get { return StyxWoW.Me; } }
        public static bool aoeOn { get; set; }
        public static bool cooldownsOn { get; set; }
        public static bool keysRegistered { get; set; }

        #region [Method] - Hotkey Registration
        public static void registerHotKeys()
        {
            if (keysRegistered)
                return;

            HotkeysManager.Register("CheckTalents", Keys.F5, ModifierKeys.Alt, ret =>
            {
                TM.checkTalents();

            });

            Keys ascendanceKey;
            Keys totemsKey;
            Keys aoeKey;
            Keys chainKey;
            Keys talentKey;
            Enum.TryParse(SET.Instance.Hotkey_Aoe_Key, out aoeKey);
            Enum.TryParse(SET.Instance.Hotkey_Ascendance_Key, out ascendanceKey);
            Enum.TryParse(SET.Instance.Hotkey_Totems_Key, out totemsKey);
            Enum.TryParse(SET.Instance.Chain_For_Two_Key, out chainKey);
            Enum.TryParse(SET.Instance.UseTalentCds_Key, out talentKey);
            //HotkeysManager.Register("Pause", Keys.Y, ModifierKeys.NoRepeat, ret =>
            //{
            //    L.diagnosticLog("Pause Running" + U.pause);
            //    if (!U.pause)
            //    {
            //        L.diagnosticLog("Start watch!");
            //        U.startTimer();
            //    }
            //    else
            //    {
            //        L.diagnosticLog("Restart watch!");
            //        U.startTimer();
            //    }
            //    L.combatLog("Rotation pause 3 Seconds!");
            //});
            switch (SET.Instance.Hotkey_Aoe_Modifier)
            {
                case "Alt":
                    HotkeysManager.Register("Aoe", aoeKey, ModifierKeys.Alt, ret =>
                    {
                        if (SET.Instance.UseAoe)
                        {
                            SET.Instance.UseAoe = false;
                            L.combatLog("Aoe: off");
                        }
                        else
                        {
                            SET.Instance.UseAoe = true;
                            L.combatLog("Aoe: on");
                        }

                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("AOE: " + SET.Instance.UseAoe);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                case "Strg":
                    HotkeysManager.Register("Aoe", aoeKey, ModifierKeys.Control, ret =>
                    {
                        if (SET.Instance.UseAoe)
                        {
                            SET.Instance.UseAoe = false;
                            L.combatLog("AOE: off");
                        }
                        else
                        {
                            SET.Instance.UseAoe = true;
                            L.combatLog("AOE: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("AOE: " + SET.Instance.UseAoe);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                default:
                    break;

            }
            switch (SET.Instance.Hotkey_Ascendance_Modifier)
            {
                case "Alt":
                    HotkeysManager.Register("ToggleAscendance", ascendanceKey, ModifierKeys.Alt, ret =>
                    {
                        if (SET.Instance.UseAscendance)
                        {
                            SET.Instance.UseAscendance = false;
                            L.combatLog("UseAscendance: off");
                        }
                        else
                        {
                            SET.Instance.UseAscendance = true;
                            L.combatLog("UseAscendance: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Auto use Ascendance: " + SET.Instance.UseAscendance);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));

                    });
                    break;
                case "Strg":
                    HotkeysManager.Register("ToggleAscendance", ascendanceKey, ModifierKeys.Control, ret =>
                    {
                        if (SET.Instance.UseAscendance)
                        {
                            SET.Instance.UseAscendance = false;
                            L.combatLog("UseAscendance: off");
                        }
                        else
                        {
                            SET.Instance.UseAscendance = true;
                            L.combatLog("UseAscendance: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Auto use Ascendance: " + SET.Instance.UseAscendance);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                default:
                    break;

            }

            switch (SET.Instance.Hotkey_Totems_Modifier)
            {
                case "Alt":
                    HotkeysManager.Register("ToggleTotems", totemsKey, ModifierKeys.Alt, ret =>
                    {
                        if (SET.Instance.UseTotems)
                        {
                            SET.Instance.UseTotems = false;
                            L.combatLog("UseTotems: off");
                        }
                        else
                        {
                            SET.Instance.UseTotems = true;
                            L.combatLog("UseTotems: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Auto use Totems: " + SET.Instance.UseTotems);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));

                    });
                    break;
                case "Strg":
                    HotkeysManager.Register("ToggleTotems", totemsKey, ModifierKeys.Control, ret =>
                    {
                        if (SET.Instance.UseTotems)
                        {
                            SET.Instance.UseTotems = false;
                            L.combatLog("UseTotems: off");
                        }
                        else
                        {
                            SET.Instance.UseTotems = true;
                            L.combatLog("UseTotems: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Auto use Totems: " + SET.Instance.UseTotems);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                default:
                    break;

            }

            switch (SET.Instance.Chain_For_Two_Modifier)
            {
                case "Alt":
                    HotkeysManager.Register("CHAIN", chainKey, ModifierKeys.Alt, ret =>
                    {
                        if (SET.Instance.Chain_For_Two)
                        {
                            SET.Instance.Chain_For_Two = false;
                            L.combatLog("Chain Cleave: off");
                        }
                        else
                        {
                            SET.Instance.Chain_For_Two = true;
                            L.combatLog("Chain Cleave: on");
                        }

                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Chain Cleave: " + SET.Instance.Chain_For_Two);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                case "Strg":
                    HotkeysManager.Register("CHAIN", chainKey, ModifierKeys.Control, ret =>
                    {
                        if (SET.Instance.Chain_For_Two)
                        {
                            SET.Instance.Chain_For_Two = false;
                            L.combatLog("Chain Cleave: off");
                        }
                        else
                        {
                            SET.Instance.Chain_For_Two = true;
                            L.combatLog("Chain Cleave: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Chain Cleave: " + SET.Instance.Chain_For_Two);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                default:
                    break;

            }

            switch (SET.Instance.UseTalentCds_Modifier)
            {
                case "Alt":
                    HotkeysManager.Register("Talent", talentKey, ModifierKeys.Alt, ret =>
                    {
                        if (SET.Instance.UseTalentCds)
                        {
                            SET.Instance.UseTalentCds = false;
                            L.combatLog("Use Talent Cds: off");
                        }
                        else
                        {
                            SET.Instance.UseTalentCds = true;
                            L.combatLog("Use Talent Cds: on");
                        }

                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Use Talent Cds: " + SET.Instance.UseTalentCds);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                case "Strg":
                    HotkeysManager.Register("Talent", talentKey, ModifierKeys.Control, ret =>
                    {
                        if (SET.Instance.UseTalentCds)
                        {
                            SET.Instance.UseTalentCds = false;
                            L.combatLog("Use Talent Cds: off");
                        }
                        else
                        {
                            SET.Instance.UseTalentCds = true;
                            L.combatLog("Use Talent Cds: on");
                        }
                        StyxWoW.Overlay.AddToast(() =>
                        {
                            return string.Format("Use Talent Cds: " + SET.Instance.UseTalentCds);
                        },
                        TimeSpan.FromSeconds(3), System.Windows.Media.Colors.Lime, System.Windows.Media.Colors.Blue, new System.Windows.Media.FontFamily("Consolas"));
                    });
                    break;
                default:
                    break;

            }



            keysRegistered = true;
            //Lua.DoString(@"print('Hotkeys: \124cFF15E61C Registered!')");
            Logging.Write(Colors.OrangeRed, "Hotkeys: Registered!");
        }
        #endregion

        #region [Method] - Hotkey Removal
        public static void removeHotkeys()
        {
            if (!keysRegistered)
                return;
            //HotkeysManager.Unregister("Pause");
            HotkeysManager.Unregister("Aoe");
            HotkeysManager.Unregister("ToggleTotems");
            HotkeysManager.Unregister("ToggleAscendance");
            keysRegistered = false;

            Logging.Write(Colors.OrangeRed, "Hotkeys: Removed!");
        }
        #endregion

    }
}

