﻿using Styx.TreeSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Styx;
using Action = Styx.TreeSharp.Action;
using U = MonkzShaman.Core.Unit;
using L = MonkzShaman.Core.Utilities.Log;
using I = MonkzShaman.Core.Helpers.ItemUse;
namespace MonkzShaman.Core.Rotation
{
    class Condition
    {
        private static LocalPlayer Me { get { return StyxWoW.Me; } }
        private static WoWUnit currentTarget { get { return StyxWoW.Me.CurrentTarget; } }

        #region [Method] - Use Trinket 1
        public static Composite useTrinket1()
        {
            return new Action(ret =>
            {
                if (Me.Inventory.Equipped.Trinket1 != null && I.CanUseEquippedItem(Me.Inventory.Equipped.Trinket1))
                {
                    L.combatLog("Trinket 1 Active!");
                    Me.Inventory.Equipped.Trinket1.Use();
                }
                return RunStatus.Failure;
            });
        }
        #endregion

        #region [Method] - Use Trinket 2
        public static Composite useTrinket2()
        {
            return new Action(ret =>
            {
                if (Me.Inventory.Equipped.Trinket2 != null && I.CanUseEquippedItem(Me.Inventory.Equipped.Trinket2))
                {
                    L.combatLog("Trinket 2 Active!");
                    Me.Inventory.Equipped.Trinket2.Use();
                }
                return RunStatus.Failure;
            });
        }
        #endregion
    }
}
