﻿using Styx;
using Styx.Common;
using Styx.CommonBot.Routines;
using Styx.TreeSharp;
using Styx.WoWInternals.WoWObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

#region [Method] - Class Redundancy
using HKM = MonkzShaman.Core.Managers.Hotkey_Manager;
using S = MonkzShaman.Core.Spell;
using Ele = MonkzShaman.Core.Rotation.EleRotation;
using U = MonkzShaman.Core.Unit;
using TM = MonkzShaman.Core.Managers.Talent_Manager;
using GUI = MonkzShaman.Core.Utilities.ShamanSettings;
using Styx.WoWInternals;
#endregion

namespace MonkzShaman
{
    public class Main : CombatRoutine
    {
        private static readonly Version version = new Version(1, 1, 2);
        public override string Name { get { return "Monkz Damage Shaman Raiding!  " + version; } }
        public override WoWClass Class { get { return WoWClass.Shaman; } }
        private static LocalPlayer Me { get { return StyxWoW.Me; } }
        public static WoWSpec spec;

        #region [Method] - Implementations
        private Composite _preCombatBehavior, _combatBuffBehavior, _combatBehavior;
        public override Composite PreCombatBuffBehavior { get { return _preCombatBehavior ?? (_preCombatBehavior = Ele.preCombatBuffing()); } }
        public override Composite CombatBuffBehavior { get { return _combatBuffBehavior ?? (_combatBuffBehavior = Ele.combatBuffing()); } }
        public override Composite CombatBehavior
        {
            get
            {
                if (Me.Specialization == WoWSpec.ShamanElemental)
                {
                    return _combatBehavior ?? (_combatBehavior = Ele.rotationSelectorEle());
                }
                else { return _combatBehavior ?? (_combatBehavior = Ele.rotationSelectorEle()); }
            }
        }



        private static void UpdateTalentManager(object sender, LuaEventArgs args)
        {
            TM.checkTalents();

        }
        #region [Method] - Hidden Overrides
        public override void Initialize()
        {
            Logging.Write(Colors.OrangeRed, "Hello User!");
            Logging.Write(Colors.White, "");
            Logging.Write(Colors.White, "");
            Logging.Write(Colors.OrangeRed, "Current Version:");
            Logging.Write(Colors.OrangeRed, "-- Monkzs Damage Shaman Raiding CR :" + version + " --");
            Logging.Write(Colors.OrangeRed, "-- Monkzs Damage Shaman Raiding CR --");
            Logging.Write(Colors.OrangeRed, "-- Press ALT + F5 to detect Talents! --");
            if (Me.Level < 100)
            {
                Logging.Write(Colors.OrangeRed, "THIS CR IS FOR LEVEL 100 ONLY");
                Logging.Write(Colors.OrangeRed, "IT MIGHT CRASH AT THIS POINT!");
            }
            MonkzShaman.Core.Utilities.ShamanSettings.Instance.Load();
            spec = Me.Specialization;
            HKM.registerHotKeys();
            TM.checkTalents();
            Lua.Events.AttachEvent("CHARACTER_POINTS_CHANGED", UpdateTalentManager);
            Lua.Events.AttachEvent("ACTIVE_TALENT_GROUP_CHANGED", UpdateTalentManager);


        }
        public override bool WantButton { get { return true; } }
        public override void OnButtonPress()
        {
            MonkzShaman.Core.Utilities.GUI gui = new MonkzShaman.Core.Utilities.GUI();
            gui.Show();
        }
        public override void ShutDown() { HKM.removeHotkeys(); }
        #endregion

        #region [Method] - Pulse
        public override void Pulse()
        {
            if (!StyxWoW.IsInWorld || Me == null || !Me.IsValid || !Me.IsAlive)
                return;
            if (!Me.Combat)
            {
                U.combatStart = DateTime.Now;
                U.openerTime = true;
                S.counter = 0;
                return;
            }


            U.Cache();
            // U.enemyAnnex(15);
        }
        #endregion

        #endregion



    }
}